Skip to main content
GET
/
tokens
/
{address_hash_param}
/
instances
/
{token_id_param}
/
holders
List current holders of a specific NFT
curl --request GET \
  --url 'https://api.blockscout.com/{chain_id}/api/v2/tokens/{address_hash_param}/instances/{token_id_param}/holders?apikey='
{
  "items": [
    {
      "address": {
        "ens_domain_name": null,
        "hash": "0xF977814e90dA44bFA03b6295A0616a897441aceC",
        "implementations": [],
        "is_contract": false,
        "is_scam": false,
        "is_verified": false,
        "metadata": {
          "tags": [
            {
              "meta": {
                "main_entity": "Binance",
                "tooltipUrl": "https://www.binance.com/"
              },
              "name": "Binance: Hot Wallet 20",
              "ordinal": 10,
              "slug": "binance-hot-wallet-20",
              "tagType": "name"
            },
            {
              "meta": {
                "tooltipUrl": "https://www.binance.com"
              },
              "name": "Binance 8",
              "ordinal": 10,
              "slug": "binance-8",
              "tagType": "name"
            },
            {
              "meta": {},
              "name": "HOT WALLET",
              "ordinal": 0,
              "slug": "hot-wallet",
              "tagType": "generic"
            },
            {
              "meta": {},
              "name": "Exchange",
              "ordinal": 0,
              "slug": "exchange",
              "tagType": "generic"
            },
            {
              "meta": {},
              "name": "Binance",
              "ordinal": 0,
              "slug": "binance",
              "tagType": "protocol"
            }
          ]
        },
        "name": null,
        "private_tags": [],
        "proxy_type": null,
        "public_tags": [],
        "reputation": "ok",
        "watchlist_names": []
      },
      "token_id": null,
      "value": "19474530513868000"
    }
  ],
  "next_page_params": {
    "address_hash": "0x1d2c163fbda9486c3a384b6fa5e34c96fe948e9a",
    "items_count": 50,
    "token_id": "0",
    "value": "4217417051704137590935"
  }
}

Documentation Index

Fetch the complete documentation index at: https://blockscout-mf-14206.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

apikey
string
query
required

API key for authentication. Required for all Pro API endpoints. Obtain your API key at https://dev.blockscout.com/

Path Parameters

address_hash_param
string
required

Address hash in the path

Pattern: ^0x([A-Fa-f0-9]{40})$
token_id_param
string | null
required

Token ID for ERC-721/1155/404 tokens

Pattern: ^-?([1-9][0-9]*|0)$

Query Parameters

apikey
string
required

API key for rate limiting or for sensitive endpoints

key
string

Secret key for getting access to restricted resources

address_hash
string

Address hash for paging

Pattern: ^0x([A-Fa-f0-9]{40})$
items_count
integer

Number of items returned per page

Required range: 1 <= x <= 50
token_id
string | null

Token ID for paging

Pattern: ^-?([1-9][0-9]*|0)$
value

Transaction value for paging

Pattern: ^-?([1-9][0-9]*|0)$

Response

Current holders of the specified NFT instance, with pagination.

items
TokenHolderResponse · object[]
required
next_page_params
object
required
Example:
{
"address_hash": "0x1d2c163fbda9486c3a384b6fa5e34c96fe948e9a",
"items_count": 50,
"token_id": "0",
"value": "4217417051704137590935"
}